UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbm_src_event_umq_ulb_message_info_ex_t_stct Struct Reference

Structure that holds UMQ ULB message information in an extended form. More...

`#include <lbm.h>`

## Data Fields
int | flags
| Bit map of flag bits ORed together. More...
lbm_umq_msgid_t | msg_id
| Message ID of the message.
lbm_umq_regid_t | registration_id
| The registration ID of the receiver.
lbm_uint_t | first_sequence_number
| First sequence number for the message after being fragmented.
lbm_uint_t | last_sequence_number
| Last sequence number for the message after being fragmented.
lbm_uint_t | assignment_id
| The Assignment ID of the receiver.
lbm_uint_t | application_set_index
| The Application Set Index the receiver is in.
void * | msg_clientd
| The clientd pointer passed in for the message.
char | receiver [LBM_UMQ_ULB_MAX_RECEIVER_STRLEN]
| The receivers immediate message target string.

## Detailed Description

Structure that holds UMQ ULB message information in an extended form.

This structure signals to the source a variety of message-oriented events. Delivered as source events LBM_SRC_EVENT_UMQ_ULB_MESSAGE_ASSIGNED_EX, LBM_SRC_EVENT_UMQ_ULB_MESSAGE_REASSIGNED_EX, LBM_SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX, LBM_SRC_EVENT_UMQ_ULB_MESSAGE_COMPLETE_EX, and LBM_SRC_EVENT_UMQ_ULB_MESSAGE_CONSUMED_EX via callback lbm_src_cb_proc.

See lbm_src_event_umq_ulb_message_info_ex_t_stct for field definitions.

## Field Documentation

int lbm_src_event_umq_ulb_message_info_ex_t_stct::flags

Bit map of flag bits ORed together.

- For event type LBM_SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX bits are: LBM_SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_* (i.e. LBM_SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_TOTAL_LIFETIME_EXPIRED, LBM_SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_EXPLICIT, LBM_SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_DISCARD, LBM_SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_MAX_REASSIGNS)
- For event type LBM_SRC_EVENT_UMQ_ULB_MESSAGE_REASSIGNED_EX bits are: LBM_SRC_EVENT_UMQ_ULB_MESSAGE_REASSIGNED_EX_FLAG_* (i.e. LBM_SRC_EVENT_UMQ_ULB_MESSAGE_REASSIGNED_EX_FLAG_EXPLICIT)

The documentation for this struct was generated from the following file:

- lbm.h